libxml++: xmlpp::DomParser Class Reference

# xmlpp::DomParser Class Reference

XML DOM parser. More...

Inheritance diagram for xmlpp::DomParser:

[legend]

List of all members.

## Public Member Functions
| DomParser ()
| DomParser (const Glib::ustring &filename, bool validate=false)
| Instantiate the parser and parse a document immediately.
virtual | ~DomParser ()
virtual void | parse_file (const Glib::ustring &filename)
| Parse an XML document from a file.
virtual void | parse_memory (const Glib::ustring &contents)
| Parse an XML document from a string.
void | parse_memory_raw (const unsigned char *contents, size_type bytes_count)
| Parse an XML document from raw memory.
virtual void | parse_stream (std::istream &in)
| Parse an XML document from a stream.
| operator bool () const
| Test whether a document has been parsed.
Document * | get_document ()
const Document * | get_document () const
## Protected Member Functions
virtual void | parse_context ()
virtual void | release_underlying ()
## Protected Attributes
Document * | doc_

## Detailed Description

XML DOM parser.

## Constructor & Destructor Documentation

xmlpp::DomParser::DomParser | ( |  | ) |

xmlpp::DomParser::DomParser | ( | const Glib::ustring & | filename,
|  | bool | validate = `false` |
| ) |  |  | `[explicit]`

Instantiate the parser and parse a document immediately.

Exceptions:

  | exception |

Parameters:

  | filename | The path to the file.
  | validate | Whether the parser should validate the XML.

virtual xmlpp::DomParser::~DomParser | ( |  | ) | `[virtual]`

## Member Function Documentation

const Document* xmlpp::DomParser::get_document | ( |  | ) | const

Document* xmlpp::DomParser::get_document | ( |  | ) |

xmlpp::DomParser::operator bool | ( |  | ) | const

Test whether a document has been parsed.

virtual void xmlpp::DomParser::parse_context | ( |  | ) | `[protected, virtual]`

virtual void xmlpp::DomParser::parse_file | ( | const Glib::ustring & | filename | ) | `[virtual]`

Parse an XML document from a file.

Exceptions:

  | exception |

Parameters:

  | filename | The path to the file.

Implements xmlpp::Parser.

virtual void xmlpp::DomParser::parse_memory | ( | const Glib::ustring & | contents | ) | `[virtual]`

Parse an XML document from a string.

Exceptions:

  | exception |

Parameters:

  | contents | The XML document as a string.

Implements xmlpp::Parser.

void xmlpp::DomParser::parse_memory_raw | ( | const unsigned char * | contents,
|  | size_type | bytes_count |
| ) |  |  |

Parse an XML document from raw memory.

Exceptions:

  | exception |

Parameters:

  | contents | The XML document as an array of bytes.
  | bytes_count | The number of bytes in the contents array.

virtual void xmlpp::DomParser::parse_stream | ( | std::istream & | in | ) | `[virtual]`

Parse an XML document from a stream.

Exceptions:

  | exception |

Parameters:

  | in | The stream.

Implements xmlpp::Parser.

virtual void xmlpp::DomParser::release_underlying | ( |  | ) | `[protected, virtual]`

Reimplemented from xmlpp::Parser.

## Member Data Documentation

Document* xmlpp::DomParser::doc_`[protected]`

The documentation for this class was generated from the following file:

- domparser.h